// ignore_for_file: prefer_const_constructors

import 'package:file_picker/file_picker.dart';
import 'package:flutter/material.dart';
import 'package:flutter_ipfs/flutter_ipfs.dart';
import 'package:fluttertoast/fluttertoast.dart';

class FilePickerService {

//PICKER
  static Future<FilePickerResult?> pickFile(BuildContext context) async {
    final FilePicker _picker = FilePicker.platform;

    try {
      // Pick an file
      FilePickerResult? file = await _picker.pickFiles();

      //Nothing picked
      if (file == null) {
        Fluttertoast.showToast(
          msg: 'No File Selected',
        );
        return null;
      } else {
        showDialog(
          barrierDismissible: false,
          context: context,
          builder: (BuildContext context) => ProgressDialog(
            status: 'Uploading to IPFS',
          ),
        );

        // upload video to ipfs
        final cid = await FlutterIpfs().uploadToIpfs(file.files.single.path!);
        debugPrint(cid);

        // Popping out the dialog box
        Navigator.pop(context);

        //Return Path
        return file;
      }
    } catch (e) {
      debugPrint('Error at file picker: $e');
      SnackBar(
        content: Text(
          'Error at file picker: $e',
          textAlign: TextAlign.center,
          style: TextStyle(fontSize: 15),
        ),
      );
      return null;
    }
  }
}
