// ignore_for_file: prefer_const_constructors

import 'package:flutter/material.dart';
import 'package:flutter_ipfs/flutter_ipfs.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:image_picker/image_picker.dart';

class VideoPickerService {

//PICKER
  static Future<XFile?> pickVideo(BuildContext context) async {
    final ImagePicker _picker = ImagePicker();

    try {
      // Pick an video
      final XFile? video = await _picker.pickVideo(
        source: ImageSource.gallery,
      );

      //Nothing picked
      if (video == null) {
        Fluttertoast.showToast(
          msg: 'No Video Selected',
        );
        return null;
      } else {
        showDialog(
          barrierDismissible: false,
          context: context,
          builder: (BuildContext context) => ProgressDialog(
            status: 'Uploading to IPFS',
          ),
        );

        // upload video to ipfs
        final cid = await FlutterIpfs().uploadToIpfs(video.path);
        debugPrint(cid);

        // Popping out the dialog box
        Navigator.pop(context);

        //Return Path
        return video;
      }
    } catch (e) {
      debugPrint('Error at video picker: $e');
      SnackBar(
        content: Text(
          'Error at video picker: $e',
          textAlign: TextAlign.center,
          style: TextStyle(fontSize: 15),
        ),
      );
      return null;
    }
  }
}
